import * as beet from '@metaplex-foundation/beet';
import { EndSettings } from './EndSettings';
import { Creator } from './Creator';
import { HiddenSettings } from './HiddenSettings';
import { WhitelistMintSettings } from './WhitelistMintSettings';
import { GatekeeperConfig } from './GatekeeperConfig';
export type CandyMachineData = {
    uuid: string;
    price: beet.bignum;
    symbol: string;
    sellerFeeBasisPoints: number;
    maxSupply: beet.bignum;
    isMutable: boolean;
    retainAuthority: boolean;
    goLiveDate: beet.COption<beet.bignum>;
    endSettings: beet.COption<EndSettings>;
    creators: Creator[];
    hiddenSettings: beet.COption<HiddenSettings>;
    whitelistMintSettings: beet.COption<WhitelistMintSettings>;
    itemsAvailable: beet.bignum;
    gatekeeper: beet.COption<GatekeeperConfig>;
};
export declare const candyMachineDataBeet: beet.FixableBeetArgsStruct<CandyMachineData>;
